# DAVecRestoreArrayDOF

Restores a multiple dimension array obtained with DAVecGetArrayDOF()

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAVecRestoreArrayDOF(DA da,Vec vec,void *array)

Not Collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DACreateGlobalVector() or DACreateLocalVector()
| array | - the array

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DAGetGhostCorners(), DAGetCorners(), VecGetArray(), VecRestoreArray(), DAVecGetArray(), DAVecGetArrayDOF(), DAVecRestoreArrayDOF()

Level:intermediate
Location: src/dm/da/src/dagetarray.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages